function plotRuntime(t)

figure(1); clf;
hold on;
hSS = plot(t(:,1), t(:,2), '-r*', 'LineWidth', 2, 'MarkerSize', 8);
hBS = plot(t(:,1), t(:,3), '-b*', 'LineWidth', 2, 'MarkerSize', 8);
hIS = plot(t(:,1), t(:,4), '-g*', 'LineWidth', 2, 'MarkerSize', 8);
hMS = plot(t(:,1), t(:,5), '-m*', 'LineWidth', 2, 'MarkerSize', 8);

hM = plot(t(:,1), (t(:,1).^2) * t(end,2)/(t(end,1)^2), '-k', 'LineWidth', 1.5);
plot(t(:,1), (t(:,1).^2) * t(end,3)/(t(end,1)^2), '-k', 'LineWidth', 1.5);
plot(t(:,1), (t(:,1).^2) * t(end,4)/(t(end,1)^2), '-k', 'LineWidth', 1.5);
set(gca, 'FontSize', 16);
sz = axis(gca);
axis([0 sz(2) 0 sz(4)]);
legend([hSS, hBS, hIS, hMS, hM], 'SelectionSort', 'BubbleSort', ...
    'InsertionSort', 'MergeSort', 'c*n^2', 'Location', 'NorthWest');
xlabel('List Length n');
ylabel('Runtime (secs)');

return;