function data = readMatrix(fileName) 
% Read matrix data file

[fid,msg] = fopen( fileName, 'r' );
if (fid == -1)
  error(msg);
end
data = [];

%%% Read line by line.
line = fgetl(fid);
ncol = 0;
while(line ~= -1) 
  [nums] = sscanf(line, '%f');
  ncol = max(ncol, size(nums,1));
  data = [data(:); nums];
  line = fgetl(fid);
end

data = reshape(data, ncol, size(data,1)/ncol);
data = data';
return;